﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using System.Windows.Shapes;
using Testing.WpfPathTriangulator.Common;

namespace Testing.WpfPathTriangulator.ViewModel
{
    class MainViewModel : ViewModelBase
    {
        private ObservableCollection<DrawingViewModel> m_drawings;
        private DrawingViewModel m_selectedDrawing;

        /// <summary>
        /// Initializes a new instance of the <see cref="MainViewModel"/> class.
        /// </summary>
        public MainViewModel()
        {
            m_drawings = new ObservableCollection<DrawingViewModel>();
            m_drawings.Add(new DrawingViewModel());
        }

        /// <summary>
        /// Gets a collection containing all drawings.
        /// </summary>
        public ObservableCollection<DrawingViewModel> Drawings
        {
            get { return m_drawings; }
        }

        /// <summary>
        /// Gets or sets the selected drawing.
        /// </summary>
        public DrawingViewModel SelectedDrawing
        {
            get { return m_selectedDrawing; }
            set
            {
                if(m_selectedDrawing != value)
                {
                    m_selectedDrawing = value;
                    RaisePropertyChanged(() => SelectedDrawing);
                }
            }
        }
    }
}
